Skip to main content
GET
/
staff-stats
/
seasons
Seasons
curl --request GET \
  --url 'https://api.eliteprospects.com/v1/staff-stats/seasons?apiKey='
{
  "_meta": {
    "generatedAt": "<string>",
    "offset": 123,
    "limit": 123,
    "totalRecords": 123
  },
  "_links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "data": [
    {
      "slug": "<string>",
      "startYear": 123,
      "endYear": 123
    }
  ]
}

Authorizations

apiKey
string
query
required

Query Parameters

fields
enum<string>[]

Specify custom response with available response fields.


Fields included as default: slug, startYear, endYear

Available options:
slug,
startYear,
endYear,
*
offset
integer
default:0

The number of items to skip before starting to collect the result set.

Required range: x >= 0
limit
integer
default:100

The number of items to return.

Required range: 0 <= x <= 1000
id
integer[]

Filter by id

id:gt
integer

Filter by id greater than

status
enum<string>

Filter by status

Available options:
rostered,
not-active-on-team,
not-active
status:not
enum<string>

Filter by status not equal to

Available options:
rostered,
not-active-on-team,
not-active
league
string

Filter by league slug

team
integer[]

Filter by team ID

team.teamType
enum<string>

Filter by team.teamType

Available options:
club,
international
season
string

Filter by season slug

season:not
string

Filter by season slug not equal to

season:from
string

Filter by season slug greater or equal to

season:to
string

Filter by season slug less than or equal to

staff
integer[]

Filter by staff ID

staff.nationality
string[]

Filter by staff.nationality

staff.secondaryNationality
string[]

Filter by staff.secondaryNationality

staff.playingInLeague
string[]

Filter by staff.playingInLeague

staff.notPlayingInLeague
string[]

Filter by staff.notPlayingInLeague

staff.hasPlayedInLeague
string[]

Filter by staff.hasPlayedInLeague

staff.hasPlayedInLeague.season
string

Filter by staff.hasPlayedInLeague.season

staff.neverPlayedInLeague
string[]

Filter by staff.neverPlayedInLeague

staff.playingInTeam
integer[]

Filter by staff.playingInTeam

staff.notPlayingInTeam
integer[]

Filter by staff.notPlayingInTeam

staff.hasPlayedInTeam
integer[]

Filter by staff.hasPlayedInTeam

staff.hasPlayedInTeam.season
string

Filter by staff.hasPlayedInTeam.season

staff.neverPlayedInTeam
integer[]

Filter by staff.neverPlayedInTeam

role
string[]

Filter by role

updatedAt:min
string<date-time>

Filter by updatedAt greater or equal to in ISO-8601 format for date and time

Response

200 - application/json

A paginated list of seasons.

_meta
object
data
object[]